#pragma once
#include "Type/types.hpp"

namespace JabyEngine {
    struct FontWriter {
        struct Cursor {
            GPU::PositionI16 pos;

            void write(const char* str);
        };

        static void   setup(const FontBufferInfo& buffer_info, const SimpleTIM& vram_dst, const FontInfo& font_info);
        static Cursor start(const GPU::PositionI16& pos);
        static void   render();
    };
}